Bug 108028 - Long chart title should automatically break
Summary: Long chart title should automatically break
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: medium enhancement
Assignee: Balázs Varga
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2017-05-23 15:09 UTC by Gabor Kelemen
Modified: 2018-09-14 14:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file with long chart title (13.30 KB, application/vnd.oasis.opendocument.text)
2017-05-23 15:09 UTC, Gabor Kelemen
Details
The file in LO 5.3. Title is in one line, barely readable (63.35 KB, image/png)
2017-05-23 15:57 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-05-23 15:09:35 UTC
Created attachment 133483 [details]
Example file with long chart title

Attached example file was made with LO 5.3. It has a simple chart with a very long title.

The title is not broken to multiple rows automatically, which makes it hardly readable. It is possible to add manual line breaks, but inconvenient.

MS Office does this automatic title breaking, and it would be nice if LO could do it as well. 
Imported files currently have text overflowing the chart area, which is not ideal - see attachment 133481 [details] .
Comment 1 Gabor Kelemen 2017-05-23 15:57:17 UTC
Created attachment 133487 [details]
The file in LO 5.3. Title is in one line, barely readable
Comment 2 Buovjaga 2017-06-04 12:17:46 UTC
Yep.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.5.0.0.alpha0+
Build ID: c855400e9686ddd8bcba5691393f839f6f52c966
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 2nd 2017
Comment 3 Commit Notification 2018-09-11 07:57:33 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=063e92004b65411dbee7fc12ab00c78aa9c69a86

tdf#108028 OOXML: Fix line breaking of chart title

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2018-09-14 14:10:58 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 4e5f89d2d3511b6421b388ecaba2f61ada14d084
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 5 Commit Notification 2018-09-14 14:13:04 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=236d015936572445ed7632a69f019e2c52c84630&h=libreoffice-6-1

tdf#108028 OOXML: Fix line breaking of chart title

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-09-14 14:57:32 UTC
Testing this issue, I found the document is set to modify without doing any change -> bug 119882